package test.web;

import java.sql.*;
import java.util.*;
import javax.sql.*;
import javax.naming.*;

public class MemberDAO {
    
	private DataSource dataFactory;
	
    public MemberDAO(){
		try{
				Context ctx = new InitialContext();
				dataFactory = (DataSource)ctx.lookup("java:comp/env/jdbc/Oracle9i");
		}catch( Exception e){
			e.printStackTrace();
		}
	}

	public void insertMember( MemberBean  m){
		try{
			 Connection con = dataFactory.getConnection();
			 Statement stmt = con.createStatement();
			 String name = m.getName();
			String age  = m.getAge();
			String weight = m.getWeight();
			String height = m.getHeight();
			String sex = m.getSex();
			System.out.println("***************INSERT*********************");
			String  query = "INSERT INTO member VALUES  (";
					  query = query + "'" + name +"' ,";
					  query = query +  age    +",";
					  query = query + "'" + weight    +"' ,";
					  query = query + "'" + height    +"' ,";
					  query = query + "'" + sex    +"') ";
			 stmt.executeUpdate(query);
			 
			 stmt.close();
			 con.close();

			}catch(SQLException e1){
				e1.printStackTrace();
            } 
	}//end insertMember()

	public ArrayList  showMember(){

		   ArrayList  list  = new ArrayList();
     try{
			 Connection con = dataFactory.getConnection();
			 Statement stmt = con.createStatement();
			String query = "SELECT  * FROM member";
			ResultSet rs = stmt.executeQuery(query);

			while(rs.next()){
				String name = rs.getString("name");
				String age = rs.getString("age");
				String weight = rs.getString("weight");
				String height = rs.getString("height");
				String sex = rs.getString("sex");
		MemberTO  domain  = new MemberTO( name , age ,weight , height , sex );
					list.add( domain);
			}
			rs.close();
			stmt.close();
			con.close();
   }catch(Exception e){}
	   return  list;
	}//end showMember()
}